var searchData=
[
  ['objects_0',['Usage as temporary objects',['../group__TutorialAdvancedInitialization.html#TutorialAdvancedInitializationTemporaryObjects',1,'']]],
  ['objects_20as_20members_1',['Cause 1: Structures having Eigen objects as members',['../group__TopicUnalignedArrayAssert.html#c1',1,'']]],
  ['objects_20by_20value_2',['Cause 3: Passing Eigen objects by value',['../group__TopicUnalignedArrayAssert.html#c3',1,'']]],
  ['of_202d_20arrays_20and_20matrices_3',['of 2D arrays and matrices',['../group__TutorialSTL.html#TutorialSTLMatrices',1,'Iterating over coefficients of 2D arrays and matrices'],['../group__TutorialSTL.html#TutorialSTLRowsColumns',1,'Iterating over rows or columns of 2D arrays and matrices']]],
  ['of_20code_20needs_20to_20be_20changed_4',['What kind of code needs to be changed?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_what',1,'']]],
  ['of_20decompositions_20offered_20by_20eigen_5',['Catalogue of decompositions offered by Eigen',['../group__TopicLinearAlgebraDecompositions.html#TopicLinAlgBigTable',1,'']]],
  ['of_20eigen_6',['Experimental parts of Eigen',['../Experimental.html',1,'UnclassifiedPages']]],
  ['of_20eigen_20types_20at_20the_20beginning_20of_20my_20class_7',['Should I then put all the members of Eigen types at the beginning of my class?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_movetotop',1,'']]],
  ['of_20indices_8',['Array of indices',['../group__TutorialSlicingIndexing.html#TutorialSlicingArray',1,'']]],
  ['of_20matrix_9',['The first three template parameters of Matrix',['../group__TutorialMatrixClass.html#TutorialMatrixFirst3Params',1,'']]],
  ['of_20my_20class_10',['Should I then put all the members of Eigen types at the beginning of my class?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_movetotop',1,'']]],
  ['of_20operations_11',['Validity of operations',['../group__TutorialMatrixArithmetic.html#TutorialArithmeticValidity',1,'']]],
  ['of_20sparse_20solvers_12',['List of sparse solvers',['../group__TopicSparseSystems.html#TutorialSparseSolverList',1,'']]],
  ['of_20std_3a_3avector_13',['The case of std::vector',['../group__TopicStlContainers.html#StlContainers_vector',1,'']]],
  ['of_20that_20stuff_14',['I don&apos;t care about optimal vectorization, how do I get rid of that stuff?',['../group__TopicUnalignedArrayAssert.html#getrid',1,'']]],
  ['of_20the_20core_20module_15',['Experimental parts of the Core module',['../Experimental.html#Experimental_core',1,'']]],
  ['of_20the_20first_20program_16',['Explanation of the first program',['../GettingStarted.html#GettingStartedExplanation',1,'']]],
  ['of_20the_20problem_17',['Where in my own code is the cause of the problem?',['../group__TopicUnalignedArrayAssert.html#where',1,'']]],
  ['of_20the_20second_20example_18',['Explanation of the second example',['../GettingStarted.html#GettingStartedExplanation2',1,'']]],
  ['of_20the_20sum_20expression_19',['Construction of the sum expression',['../TopicInsideEigenExample.html#ConstructionOfSumXpr',1,'']]],
  ['of_20the_20template_20keyword_20',['An example showing the second use of the template keyword',['../TopicTemplateKeyword.html#TopicTemplateKeywordExample',1,'']]],
  ['of_20this_20assertion_21',['General explanation of this assertion',['../group__TopicUnalignedArrayAssert.html#explanation',1,'']]],
  ['offered_20by_20eigen_22',['Catalogue of decompositions offered by Eigen',['../group__TopicLinearAlgebraDecompositions.html#TopicLinAlgBigTable',1,'']]],
  ['on_20a_20simple_20example_23',['What happens inside Eigen, on a simple example',['../TopicInsideEigenExample.html',1,'UserManual_UnderstandingEigen']]],
  ['on_20stack_20alignment_20for_20instance_20gcc_20on_20windows_24',['Cause 4: Compiler making a wrong assumption on stack alignment (for instance GCC on Windows)',['../group__TopicUnalignedArrayAssert.html#c4',1,'']]],
  ['on_20template_20parameters_25',['What if I want to do this conditionally (depending on template parameters) ?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_conditional',1,'']]],
  ['on_20windows_26',['Cause 4: Compiler making a wrong assumption on stack alignment (for instance GCC on Windows)',['../group__TopicUnalignedArrayAssert.html#c4',1,'']]],
  ['operations_27',['operations',['../group__TopicAliasing.html#TopicAliasingCwise',1,'Aliasing and component-wise operations'],['../group__SparseQuickRefPage.html#SparseBasicOps',1,'Arithmetic operations'],['../group__TutorialMatrixArithmetic.html#TutorialArithmeticRedux',1,'Basic arithmetic reduction operations'],['../group__TutorialSparse.html#TutorialSparse_BasicOps',1,'Basic operations'],['../group__TutorialSparse.html#TutorialSparse_SubMatrices',1,'Block operations'],['../group__TutorialReductionsVisitorsBroadcasting.html#TutorialReductionsVisitorsBroadcastingBroadcastingCombined',1,'Combining broadcasting with other operations'],['../group__TutorialReductionsVisitorsBroadcasting.html#TutorialReductionsVisitorsBroadcastingPartialReductionsCombined',1,'Combining partial reductions with other operations'],['../group__TutorialBlockOperations.html#TutorialBlockOperationsSyntaxCorners',1,'Corner-related operations'],['../group__QuickRefPage.html#QuickRef_Misc',1,'Miscellaneous operations'],['../group__TutorialArrayClass.html#TutorialArrayClassCwiseOther',1,'Other coefficient-wise operations'],['../group__SparseQuickRefPage.html#sparseotherops',1,'Other supported operations'],['../group__TutorialBlockOperations.html#TutorialBlockOperationsUsing',1,'Using block operations'],['../group__TutorialMatrixArithmetic.html#TutorialArithmeticValidity',1,'Validity of operations']]],
  ['operations_20for_20vectors_28',['Block operations for vectors',['../group__TutorialBlockOperations.html#TutorialBlockOperationsSyntaxVectors',1,'']]],
  ['operator_29',['Ternary operator',['../TopicPitfalls.html#TopicPitfalls_ternary_operator',1,'']]],
  ['operators_30',['Arithmetic Operators',['../group__QuickRefPage.html#QuickRef_ArithmeticOperators',1,'']]],
  ['operators_31',['Coefficient-wise &amp;amp; Array operators',['../group__QuickRefPage.html#QuickRef_Coeffwise',1,'']]],
  ['operators_20and_20functions_32',['Supported operators and functions',['../group__TutorialSparse.html#TutorialSparseFeatureSet',1,'']]],
  ['optimal_20vectorization_20how_20do_20i_20get_20rid_20of_20that_20stuff_33',['I don&apos;t care about optimal vectorization, how do I get rid of that stuff?',['../group__TopicUnalignedArrayAssert.html#getrid',1,'']]],
  ['optional_20template_20parameters_34',['Optional template parameters',['../group__TutorialMatrixClass.html#TutorialMatrixOptTemplParams',1,'']]],
  ['or_20array_20argument_20fail_35',['In which cases do functions taking a plain Matrix or Array argument fail?',['../TopicFunctionTakingEigenTypes.html#TopicPlainFunctionsFailing',1,'']]],
  ['or_20array_20arguments_20work_36',['In which cases do functions taking plain Matrix or Array arguments work?',['../TopicFunctionTakingEigenTypes.html#TopicPlainFunctionsWorking',1,'']]],
  ['or_20columns_20of_202d_20arrays_20and_20matrices_37',['Iterating over rows or columns of 2D arrays and matrices',['../group__TutorialSTL.html#TutorialSTLRowsColumns',1,'']]],
  ['or_20manual_20memory_20allocation_38',['Cause 2: STL Containers or manual memory allocation',['../group__TopicUnalignedArrayAssert.html#c2',1,'']]],
  ['order_39',['Reverse order',['../group__TutorialSlicingIndexing.html#TutorialSlicingReverse',1,'']]],
  ['order_20to_20choose_40',['Which storage order to choose?',['../group__TopicStorageOrders.html#TopicStorageOrdersWhich',1,'']]],
  ['orders_20in_20eigen_41',['Storage orders in Eigen',['../group__TopicStorageOrders.html#TopicStorageOrdersInEigen',1,'']]],
  ['other_20classes_42',['Extending MatrixBase (and other classes)',['../TopicCustomizing_Plugins.html',1,'UserManual_CustomizingEigen']]],
  ['other_20coefficient_20wise_20operations_43',['Other coefficient-wise operations',['../group__TutorialArrayClass.html#TutorialArrayClassCwiseOther',1,'']]],
  ['other_20operations_44',['other operations',['../group__TutorialReductionsVisitorsBroadcasting.html#TutorialReductionsVisitorsBroadcastingBroadcastingCombined',1,'Combining broadcasting with other operations'],['../group__TutorialReductionsVisitorsBroadcasting.html#TutorialReductionsVisitorsBroadcastingPartialReductionsCombined',1,'Combining partial reductions with other operations']]],
  ['other_20solutions_45',['Other solutions',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_othersolutions',1,'']]],
  ['other_20supported_20operations_46',['Other supported operations',['../group__SparseQuickRefPage.html#sparseotherops',1,'']]],
  ['over_201d_20arrays_20and_20vectors_47',['Iterating over 1D arrays and vectors',['../group__TutorialSTL.html#TutorialSTLVectors',1,'']]],
  ['over_20coefficients_20of_202d_20arrays_20and_20matrices_48',['Iterating over coefficients of 2D arrays and matrices',['../group__TutorialSTL.html#TutorialSTLMatrices',1,'']]],
  ['over_20rows_20or_20columns_20of_202d_20arrays_20and_20matrices_49',['Iterating over rows or columns of 2D arrays and matrices',['../group__TutorialSTL.html#TutorialSTLRowsColumns',1,'']]],
  ['overview_50',['Overview',['../group__TutorialSlicingIndexing.html#TutorialSlicingOverview',1,'']]],
  ['own_20code_20is_20the_20cause_20of_20the_20problem_51',['Where in my own code is the cause of the problem?',['../group__TopicUnalignedArrayAssert.html#where',1,'']]]
];
