var searchData=
[
  ['c_0',['The template and typename keywords in C++',['../TopicTemplateKeyword.html',1,'UserManual_Generalities']]],
  ['c_2011_20and_20the_20auto_20keyword_1',['C++11 and the auto keyword',['../TopicPitfalls.html#TopicPitfalls_auto_keyword',1,'']]],
  ['c_20standard_20features_2',['C++ standard features',['../TopicPreprocessorDirectives.html#TopicPreprocessorDirectivesCppVersion',1,'']]],
  ['can_20i_20check_20my_20code_20is_20safe_20regarding_20alignment_20issues_3',['How can I check my code is safe regarding alignment issues?',['../group__TopicUnalignedArrayAssert.html#checkmycode',1,'']]],
  ['care_20about_20optimal_20vectorization_20how_20do_20i_20get_20rid_20of_20that_20stuff_4',['I don&apos;t care about optimal vectorization, how do I get rid of that stuff?',['../group__TopicUnalignedArrayAssert.html#getrid',1,'']]],
  ['case_20of_20std_3a_3avector_5',['The case of std::vector',['../group__TopicStlContainers.html#StlContainers_vector',1,'']]],
  ['cases_20do_20functions_20taking_20a_20plain_20matrix_20or_20array_20argument_20fail_6',['In which cases do functions taking a plain Matrix or Array argument fail?',['../TopicFunctionTakingEigenTypes.html#TopicPlainFunctionsFailing',1,'']]],
  ['cases_20do_20functions_20taking_20plain_20matrix_20or_20array_20arguments_20work_7',['In which cases do functions taking plain Matrix or Array arguments work?',['../TopicFunctionTakingEigenTypes.html#TopicPlainFunctionsWorking',1,'']]],
  ['catalogue_20of_20decompositions_20offered_20by_20eigen_8',['Catalogue of decompositions offered by Eigen',['../group__TopicLinearAlgebraDecompositions.html#TopicLinAlgBigTable',1,'']]],
  ['cause_201_3a_20structures_20having_20eigen_20objects_20as_20members_9',['Cause 1: Structures having Eigen objects as members',['../group__TopicUnalignedArrayAssert.html#c1',1,'']]],
  ['cause_202_3a_20stl_20containers_20or_20manual_20memory_20allocation_10',['Cause 2: STL Containers or manual memory allocation',['../group__TopicUnalignedArrayAssert.html#c2',1,'']]],
  ['cause_203_3a_20passing_20eigen_20objects_20by_20value_11',['Cause 3: Passing Eigen objects by value',['../group__TopicUnalignedArrayAssert.html#c3',1,'']]],
  ['cause_204_3a_20compiler_20making_20a_20wrong_20assumption_20on_20stack_20alignment_20for_20instance_20gcc_20on_20windows_12',['Cause 4: Compiler making a wrong assumption on stack alignment (for instance GCC on Windows)',['../group__TopicUnalignedArrayAssert.html#c4',1,'']]],
  ['cause_20of_20the_20problem_13',['Where in my own code is the cause of the problem?',['../group__TopicUnalignedArrayAssert.html#where',1,'']]],
  ['changed_14',['What kind of code needs to be changed?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_what',1,'']]],
  ['changing_20the_20mapped_20array_15',['Changing the mapped array',['../group__TutorialMapClass.html#TutorialMapPlacementNew',1,'']]],
  ['check_20my_20code_20is_20safe_20regarding_20alignment_20issues_16',['How can I check my code is safe regarding alignment issues?',['../group__TopicUnalignedArrayAssert.html#checkmycode',1,'']]],
  ['checking_20if_20a_20matrix_20is_20singular_17',['Checking if a matrix is singular',['../group__TutorialLinearAlgebra.html#TutorialLinAlgSolutionExists',1,'']]],
  ['choose_18',['Which storage order to choose?',['../group__TopicStorageOrders.html#TopicStorageOrdersWhich',1,'']]],
  ['circulant_20matrix_19',['Example 1: circulant matrix',['../TopicCustomizing_NullaryExpr.html#NullaryExpr_Circulant',1,'']]],
  ['class_20',['class',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_movetotop',1,'Should I then put all the members of Eigen types at the beginning of my class?'],['../TopicNewExpressionType.html#TopicExpression',1,'The expression class'],['../group__TutorialSparse.html#TutorialSparseSparseMatrix',1,'The SparseMatrix class'],['../TopicNewExpressionType.html#TopicTraits',1,'The traits class'],['../group__TutorialArrayClass.html#TutorialArrayClassIntro',1,'What is the Array class?']]],
  ['class_20hierarchy_21',['The class hierarchy',['../TopicClassHierarchy.html',1,'UserManual_UnderstandingEigen']]],
  ['classes_22',['classes',['../TopicClassHierarchy.html#TopicClassHierarchyBaseClasses',1,'Base classes'],['../TopicCustomizing_Plugins.html',1,'Extending MatrixBase (and other classes)'],['../TopicClassHierarchy.html#TopicClassHierarchyCoreClasses',1,'The core classes']]],
  ['cmake_20projects_23',['Using Eigen in CMake Projects',['../TopicCMakeGuide.html',1,'UserManual_Generalities']]],
  ['code_20be_20modified_24',['How should such code be modified?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_how',1,'']]],
  ['code_20is_20safe_20regarding_20alignment_20issues_25',['How can I check my code is safe regarding alignment issues?',['../group__TopicUnalignedArrayAssert.html#checkmycode',1,'']]],
  ['code_20is_20the_20cause_20of_20the_20problem_26',['Where in my own code is the cause of the problem?',['../group__TopicUnalignedArrayAssert.html#where',1,'']]],
  ['code_20needs_20to_20be_20changed_27',['What kind of code needs to be changed?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_what',1,'']]],
  ['coefficient_20accessors_28',['Coefficient accessors',['../group__TutorialMatrixClass.html#TutorialMatrixCoeffAccessors',1,'']]],
  ['coefficient_20wise_20array_20operators_29',['Coefficient-wise &amp;amp; Array operators',['../group__QuickRefPage.html#QuickRef_Coeffwise',1,'']]],
  ['coefficient_20wise_20operations_30',['Other coefficient-wise operations',['../group__TutorialArrayClass.html#TutorialArrayClassCwiseOther',1,'']]],
  ['coefficients_31',['Matrices with boolean coefficients',['../TopicPitfalls.html#TopicPitfalls_matrix_bool',1,'']]],
  ['coefficients_20of_202d_20arrays_20and_20matrices_32',['Iterating over coefficients of 2D arrays and matrices',['../group__TutorialSTL.html#TutorialSTLMatrices',1,'']]],
  ['column_20major_20and_20row_20major_20storage_33',['Column-major and row-major storage',['../group__TopicStorageOrders.html#TopicStorageOrdersIntro',1,'']]],
  ['columns_34',['Example 2: indexing rows and columns',['../TopicCustomizing_NullaryExpr.html#NullaryExpr_Indexing',1,'']]],
  ['columns_20and_20rows_35',['Columns and rows',['../group__TutorialBlockOperations.html#TutorialBlockOperationsSyntaxColumnRows',1,'']]],
  ['columns_20of_202d_20arrays_20and_20matrices_36',['Iterating over rows or columns of 2D arrays and matrices',['../group__TutorialSTL.html#TutorialSTLRowsColumns',1,'']]],
  ['combining_20broadcasting_20with_20other_20operations_37',['Combining broadcasting with other operations',['../group__TutorialReductionsVisitorsBroadcasting.html#TutorialReductionsVisitorsBroadcastingBroadcastingCombined',1,'']]],
  ['combining_20partial_20reductions_20with_20other_20operations_38',['Combining partial reductions with other operations',['../group__TutorialReductionsVisitorsBroadcasting.html#TutorialReductionsVisitorsBroadcastingPartialReductionsCombined',1,'']]],
  ['comma_20initialization_39',['Comma-initialization',['../group__TutorialMatrixClass.html#TutorialMatrixCommaInitializer',1,'']]],
  ['comma_20initializer_40',['The comma initializer',['../group__TutorialAdvancedInitialization.html#TutorialAdvancedInitializationCommaInitializer',1,'']]],
  ['common_20api_20across_20transformation_20types_41',['Common API across transformation types',['../group__TutorialGeometry.html#TutorialGeoCommontransformationAPI',1,'']]],
  ['common_20pitfalls_42',['Common pitfalls',['../TopicPitfalls.html',1,'UserManual_Generalities']]],
  ['compilation_20error_20with_20template_20methods_43',['Compilation error with template methods',['../TopicPitfalls.html#TopicPitfalls_template_keyword',1,'']]],
  ['compile_44',['Header Issues (failure to compile)',['../TopicPitfalls.html#TopicPitfalls_header_issues',1,'']]],
  ['compile_20time_20size_20and_20increment_45',['Compile time size and increment',['../group__TutorialSlicingIndexing.html#TutorialSlicingFixed',1,'']]],
  ['compiler_20making_20a_20wrong_20assumption_20on_20stack_20alignment_20for_20instance_20gcc_20on_20windows_46',['Cause 4: Compiler making a wrong assumption on stack alignment (for instance GCC on Windows)',['../group__TopicUnalignedArrayAssert.html#c4',1,'']]],
  ['compiling_20and_20running_20your_20first_20program_47',['Compiling and running your first program',['../GettingStarted.html#GettingStartedCompiling',1,'']]],
  ['component_20wise_20operations_48',['Aliasing and component-wise operations',['../group__TopicAliasing.html#TopicAliasingCwise',1,'']]],
  ['computation_20from_20the_20construction_49',['Separating the computation from the construction',['../group__TutorialLinearAlgebra.html#TutorialLinAlgSeparateComputation',1,'']]],
  ['computations_50',['Norm computations',['../group__TutorialReductionsVisitorsBroadcasting.html#TutorialReductionsVisitorsBroadcastingReductionsNorm',1,'']]],
  ['compute_20step_51',['The Compute Step',['../group__TopicSparseSystems.html#TheSparseCompute',1,'']]],
  ['computing_20eigenvalues_20and_20eigenvectors_52',['Computing eigenvalues and eigenvectors',['../group__TutorialLinearAlgebra.html#TutorialLinAlgEigensolving',1,'']]],
  ['computing_20inverse_20and_20determinant_53',['Computing inverse and determinant',['../group__TutorialLinearAlgebra.html#TutorialLinAlgInverse',1,'']]],
  ['concept_54',['Sparse solver concept',['../group__TopicSparseSystems.html#TutorialSparseSolverConcept',1,'']]],
  ['conditionally_20depending_20on_20template_20parameters_55',['What if I want to do this conditionally (depending on template parameters) ?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_conditional',1,'']]],
  ['conjugation_56',['Transposition and conjugation',['../group__TutorialMatrixArithmetic.html#TutorialArithmeticTranspose',1,'']]],
  ['constructing_20vectors_57',['Constructing vectors',['../TopicInsideEigenExample.html#ConstructingVectors',1,'']]],
  ['construction_58',['Separating the computation from the construction',['../group__TutorialLinearAlgebra.html#TutorialLinAlgSeparateComputation',1,'']]],
  ['construction_20of_20the_20sum_20expression_59',['Construction of the sum expression',['../TopicInsideEigenExample.html#ConstructionOfSumXpr',1,'']]],
  ['constructors_60',['Constructors',['../group__TutorialMatrixClass.html#TutorialMatrixConstructors',1,'']]],
  ['containers_20or_20manual_20memory_20allocation_61',['Cause 2: STL Containers or manual memory allocation',['../group__TopicUnalignedArrayAssert.html#c2',1,'']]],
  ['convenience_20typedefs_62',['Convenience typedefs',['../group__TutorialMatrixClass.html#TutorialMatrixTypedefs',1,'']]],
  ['converting_20between_20array_20and_20matrix_20expressions_63',['Converting between array and matrix expressions',['../group__TutorialArrayClass.html#TutorialArrayClassConvert',1,'']]],
  ['core_20classes_64',['The core classes',['../TopicClassHierarchy.html#TopicClassHierarchyCoreClasses',1,'']]],
  ['core_20module_65',['Experimental parts of the Core module',['../Experimental.html#Experimental_core',1,'']]],
  ['corner_20related_20operations_66',['Corner-related operations',['../group__TutorialBlockOperations.html#TutorialBlockOperationsSyntaxCorners',1,'']]],
  ['cross_20product_67',['Dot product and cross product',['../group__TutorialMatrixArithmetic.html#TutorialArithmeticDotAndCross',1,'']]],
  ['cuda_20kernels_68',['Using Eigen in CUDA kernels',['../TopicCUDA.html',1,'UserManual_Generalities']]],
  ['custom_20index_20list_69',['Custom index list',['../group__TutorialSlicingIndexing.html#TutorialSlicingCustomArray',1,'']]],
  ['custom_20scalar_20types_70',['Using custom scalar types',['../TopicCustomizing_CustomScalar.html',1,'UserManual_CustomizingEigen']]],
  ['customizing_20eigen_71',['Extending/Customizing Eigen',['../UserManual_CustomizingEigen.html',1,'index']]]
];
