var searchData=
[
  ['effects_0',['Macros with major effects',['../TopicPreprocessorDirectives.html#TopicPreprocessorDirectivesMajor',1,'']]],
  ['efficient_20matrix_20product_20expressions_1',['Writing efficient matrix product expressions',['../TopicWritingEfficientProductExpression.html',1,'UnclassifiedPages']]],
  ['eigen_2',['Eigen',['../group__TopicLinearAlgebraDecompositions.html#TopicLinAlgBigTable',1,'Catalogue of decompositions offered by Eigen'],['../Experimental.html',1,'Experimental parts of Eigen'],['../TopicEigenExpressionTemplates.html',1,'Expression templates in Eigen'],['../UserManual_CustomizingEigen.html',1,'Extending/Customizing Eigen'],['../GettingStarted.html#GettingStartedInstallation',1,'How to "install" Eigen?'],['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_bugineigen',1,'So is this a bug in Eigen?'],['../group__TopicStorageOrders.html#TopicStorageOrdersInEigen',1,'Storage orders in Eigen'],['../UserManual_UnderstandingEigen.html',1,'Understanding Eigen'],['../TopicUsingBlasLapack.html',1,'Using BLAS/LAPACK from Eigen'],['../TopicUsingIntelMKL.html',1,'Using Intel® MKL from Eigen']]],
  ['eigen_20and_20multi_20threading_3',['Eigen and multi-threading',['../TopicMultiThreading.html',1,'UserManual_Generalities']]],
  ['eigen_20developers_4',['Macros for Eigen developers',['../TopicPreprocessorDirectives.html#TopicPreprocessorDirectivesDevelopers',1,'']]],
  ['eigen_20in_20a_20multi_20threaded_20application_5',['Using Eigen in a multi-threaded application',['../TopicMultiThreading.html#TopicMultiThreading_UsingEigenWithMT',1,'']]],
  ['eigen_20in_20cmake_20projects_6',['Using Eigen in CMake Projects',['../TopicCMakeGuide.html',1,'UserManual_Generalities']]],
  ['eigen_20in_20cuda_20kernels_7',['Using Eigen in CUDA kernels',['../TopicCUDA.html',1,'UserManual_Generalities']]],
  ['eigen_20objects_20as_20members_8',['Cause 1: Structures having Eigen objects as members',['../group__TopicUnalignedArrayAssert.html#c1',1,'']]],
  ['eigen_20objects_20by_20value_9',['Cause 3: Passing Eigen objects by value',['../group__TopicUnalignedArrayAssert.html#c3',1,'']]],
  ['eigen_20on_20a_20simple_20example_10',['What happens inside Eigen, on a simple example',['../TopicInsideEigenExample.html',1,'UserManual_UnderstandingEigen']]],
  ['eigen_20run_20in_20parallel_11',['Make Eigen run in parallel',['../TopicMultiThreading.html#TopicMultiThreading_MakingEigenMT',1,'']]],
  ['eigen_20types_12',['An alternative - specializing std::vector for Eigen types',['../group__TopicStlContainers.html#vector_spec',1,'']]],
  ['eigen_20types_20as_20parameters_13',['Writing Functions Taking Eigen Types as Parameters',['../TopicFunctionTakingEigenTypes.html',1,'UserManual_Generalities']]],
  ['eigen_20types_20at_20the_20beginning_20of_20my_20class_14',['Should I then put all the members of Eigen types at the beginning of my class?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_movetotop',1,'']]],
  ['eigenvalues_20and_20eigenvectors_15',['Computing eigenvalues and eigenvectors',['../group__TutorialLinearAlgebra.html#TutorialLinAlgEigensolving',1,'']]],
  ['eigenvectors_16',['Computing eigenvalues and eigenvectors',['../group__TutorialLinearAlgebra.html#TutorialLinAlgEigensolving',1,'']]],
  ['entry_20point_17',['The entry point',['../TopicNewExpressionType.html#TopicEntry',1,'']]],
  ['equations_18',['Using normal equations',['../group__LeastSquares.html#LeastSquaresNormalEquations',1,'']]],
  ['error_20with_20template_20methods_19',['Compilation error with template methods',['../TopicPitfalls.html#TopicPitfalls_template_keyword',1,'']]],
  ['euler_20angles_20',['Euler angles',['../group__TutorialGeometry.html#TutorialGeoEulerAngles',1,'']]],
  ['evaluated_20into_20temporaries_21',['Which sub-expressions are evaluated into temporaries?',['../TopicLazyEvaluation.html#TopicLazyEvaluationWhichExpr',1,'']]],
  ['evaluation_20and_20aliasing_22',['Lazy Evaluation and Aliasing',['../TopicLazyEvaluation.html',1,'UserManual_UnderstandingEigen']]],
  ['evaluator_23',['The evaluator',['../TopicNewExpressionType.html#TopicEvaluator',1,'']]],
  ['example_24',['example',['../GettingStarted.html#GettingStartedExplanation2',1,'Explanation of the second example'],['../group__TutorialSparse.html#TutorialSparseExample',1,'First example'],['../TopicInsideEigenExample.html',1,'What happens inside Eigen, on a simple example']]],
  ['example_201_3a_20circulant_20matrix_25',['Example 1: circulant matrix',['../TopicCustomizing_NullaryExpr.html#NullaryExpr_Circulant',1,'']]],
  ['example_202_3a_20indexing_20rows_20and_20columns_26',['Example 2: indexing rows and columns',['../TopicCustomizing_NullaryExpr.html#NullaryExpr_Indexing',1,'']]],
  ['example_202_3a_20matrices_20and_20vectors_27',['Example 2: Matrices and vectors',['../GettingStarted.html#GettingStartedExample2',1,'']]],
  ['example_20showing_20the_20second_20use_20of_20the_20template_20keyword_28',['An example showing the second use of the template keyword',['../TopicTemplateKeyword.html#TopicTemplateKeywordExample',1,'']]],
  ['examples_29',['Examples',['../group__TopicAliasing.html#TopicAliasingExamples',1,'Examples'],['../TopicFunctionTakingEigenTypes.html#TopicFirstExamples',1,'Some First Examples']]],
  ['executive_20summary_30',['Executive Summary',['../group__TopicFixedSizeVectorizable.html#FixedSizeVectorizable_summary',1,'Executive Summary'],['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_summary',1,'Executive Summary']]],
  ['executive_20summary_31',['Executive summary',['../group__TopicStlContainers.html#StlContainers_summary',1,'']]],
  ['experimental_20modules_32',['Experimental modules',['../Experimental.html#Experimental_modules',1,'']]],
  ['experimental_20parts_20of_20eigen_33',['Experimental parts of Eigen',['../Experimental.html',1,'UnclassifiedPages']]],
  ['experimental_20parts_20of_20the_20core_20module_34',['Experimental parts of the Core module',['../Experimental.html#Experimental_core',1,'']]],
  ['explanation_35',['Explanation',['../group__TopicFixedSizeVectorizable.html#FixedSizeVectorizable_explanation',1,'Explanation'],['../TopicTemplateKeyword.html#TopicTemplateKeywordExplanation',1,'Explanation']]],
  ['explanation_20of_20the_20first_20program_36',['Explanation of the first program',['../GettingStarted.html#GettingStartedExplanation',1,'']]],
  ['explanation_20of_20the_20second_20example_37',['Explanation of the second example',['../GettingStarted.html#GettingStartedExplanation2',1,'']]],
  ['explanation_20of_20this_20assertion_38',['General explanation of this assertion',['../group__TopicUnalignedArrayAssert.html#explanation',1,'']]],
  ['expression_39',['Construction of the sum expression',['../TopicInsideEigenExample.html#ConstructionOfSumXpr',1,'']]],
  ['expression_20class_40',['The expression class',['../TopicNewExpressionType.html#TopicExpression',1,'']]],
  ['expression_20templates_41',['A note about expression templates',['../group__TutorialMatrixArithmetic.html#TutorialArithmeticMentionXprTemplates',1,'']]],
  ['expression_20templates_20in_20eigen_42',['Expression templates in Eigen',['../TopicEigenExpressionTemplates.html',1,'UnclassifiedPages']]],
  ['expression_20type_43',['Adding a new expression type',['../TopicNewExpressionType.html',1,'UserManual_CustomizingEigen']]],
  ['expressions_44',['expressions',['../group__TutorialArrayClass.html#TutorialArrayClassConvert',1,'Converting between array and matrix expressions'],['../TopicCustomizing_NullaryExpr.html',1,'Matrix manipulation via nullary-expressions'],['../TopicWritingEfficientProductExpression.html',1,'Writing efficient matrix product expressions']]],
  ['expressions_20are_20evaluated_20into_20temporaries_45',['Which sub-expressions are evaluated into temporaries?',['../TopicLazyEvaluation.html#TopicLazyEvaluationWhichExpr',1,'']]],
  ['extending_20customizing_20eigen_46',['Extending/Customizing Eigen',['../UserManual_CustomizingEigen.html',1,'index']]],
  ['extending_20matrixbase_20and_20other_20classes_47',['Extending MatrixBase (and other classes)',['../TopicCustomizing_Plugins.html',1,'UserManual_CustomizingEigen']]],
  ['external_20arrays_48',['Mapping external arrays',['../group__QuickRefPage.html#QuickRef_Map',1,'']]],
  ['external_20solvers_49',['Wrappers to external solvers',['../group__TopicSparseSystems.html#TutorialSparseSolverList_Wrapper',1,'']]]
];
