var searchData=
[
  ['macros_20for_20eigen_20developers_0',['Macros for Eigen developers',['../TopicPreprocessorDirectives.html#TopicPreprocessorDirectivesDevelopers',1,'']]],
  ['macros_20with_20major_20effects_1',['Macros with major effects',['../TopicPreprocessorDirectives.html#TopicPreprocessorDirectivesMajor',1,'']]],
  ['main_20function_20for_20testing_2',['A simple main function for testing',['../TopicNewExpressionType.html#TopicMain',1,'']]],
  ['major_20and_20row_20major_20storage_3',['Column-major and row-major storage',['../group__TopicStorageOrders.html#TopicStorageOrdersIntro',1,'']]],
  ['major_20effects_4',['Macros with major effects',['../TopicPreprocessorDirectives.html#TopicPreprocessorDirectivesMajor',1,'']]],
  ['major_20storage_5',['Column-major and row-major storage',['../group__TopicStorageOrders.html#TopicStorageOrdersIntro',1,'']]],
  ['make_20eigen_20run_20in_20parallel_6',['Make Eigen run in parallel',['../TopicMultiThreading.html#TopicMultiThreading_MakingEigenMT',1,'']]],
  ['making_20a_20wrong_20assumption_20on_20stack_20alignment_20for_20instance_20gcc_20on_20windows_7',['Cause 4: Compiler making a wrong assumption on stack alignment (for instance GCC on Windows)',['../group__TopicUnalignedArrayAssert.html#c4',1,'']]],
  ['manipulation_8',['Basic matrix manipulation',['../group__QuickRefPage.html#QuickRef_Basics',1,'']]],
  ['manipulation_20via_20nullary_20expressions_9',['Matrix manipulation via nullary-expressions',['../TopicCustomizing_NullaryExpr.html',1,'UserManual_CustomizingEigen']]],
  ['manual_20memory_20allocation_10',['Cause 2: STL Containers or manual memory allocation',['../group__TopicUnalignedArrayAssert.html#c2',1,'']]],
  ['map_20types_20and_20declaring_20map_20variables_11',['Map types and declaring Map variables',['../group__TutorialMapClass.html#TutorialMapTypes',1,'']]],
  ['map_20variables_12',['Map variables',['../group__TutorialMapClass.html#TutorialMapTypes',1,'Map types and declaring Map variables'],['../group__TutorialMapClass.html#TutorialMapUsing',1,'Using Map variables']]],
  ['mapped_20array_13',['Changing the mapped array',['../group__TutorialMapClass.html#TutorialMapPlacementNew',1,'']]],
  ['mapping_20external_20arrays_14',['Mapping external arrays',['../group__QuickRefPage.html#QuickRef_Map',1,'']]],
  ['matrices_15',['Predefined Matrices',['../group__QuickRefPage.html#QuickRef_PredefMat',1,'']]],
  ['matrices_16',['matrices',['../group__QuickRefPage.html#QuickRef_Diagonal',1,'Diagonal matrices'],['../group__QuickRefPage.html#QuickRef_DiagTriSymm',1,'Diagonal, Triangular, and Self-adjoint matrices'],['../group__TutorialSTL.html#TutorialSTLMatrices',1,'Iterating over coefficients of 2D arrays and matrices'],['../group__TutorialSTL.html#TutorialSTLRowsColumns',1,'Iterating over rows or columns of 2D arrays and matrices'],['../group__QuickRefPage.html#QuickRef_Blocks',1,'Sub-matrices']]],
  ['matrices_20and_20arrays_17',['Special matrices and arrays',['../group__TutorialAdvancedInitialization.html#TutorialAdvancedInitializationSpecialMatrices',1,'']]],
  ['matrices_20and_20vectors_18',['Example 2: Matrices and vectors',['../GettingStarted.html#GettingStartedExample2',1,'']]],
  ['matrices_20and_20vectors_19',['What about dynamic-size matrices and vectors?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_dynamicsize',1,'']]],
  ['matrices_20in_20generic_20implementations_20',['How to resize matrices in generic implementations?',['../TopicFunctionTakingEigenTypes.html#TopicResizingInGenericImplementations',1,'']]],
  ['matrices_20with_20boolean_20coefficients_21',['Matrices with boolean coefficients',['../TopicPitfalls.html#TopicPitfalls_matrix_bool',1,'']]],
  ['matrix_22',['Matrix',['../TopicCustomizing_InheritingMatrix.html',1,'Inheriting from Matrix'],['../group__TutorialMatrixClass.html#TutorialMatrixFirst3Params',1,'The first three template parameters of Matrix']]],
  ['matrix_23',['matrix',['../TopicCustomizing_NullaryExpr.html#NullaryExpr_Circulant',1,'Example 1: circulant matrix'],['../group__TutorialSparse.html#TutorialSparseFilling',1,'Filling a sparse matrix']]],
  ['matrix_20and_20matrix_20vector_20multiplication_24',['Matrix-matrix and matrix-vector multiplication',['../group__TutorialMatrixArithmetic.html#TutorialArithmeticMatrixMul',1,'']]],
  ['matrix_20and_20vector_20types_25',['Array, matrix and vector types',['../group__QuickRefPage.html#QuickRef_Types',1,'']]],
  ['matrix_20expressions_26',['Converting between array and matrix expressions',['../group__TutorialArrayClass.html#TutorialArrayClassConvert',1,'']]],
  ['matrix_20format_27',['Sparse matrix format',['../group__TutorialSparse.html#TutorialSparseIntro',1,'']]],
  ['matrix_20initialization_28',['Sparse Matrix Initialization',['../group__SparseQuickRefPage.html#SparseMatrixInit',1,'']]],
  ['matrix_20is_20singular_29',['Checking if a matrix is singular',['../group__TutorialLinearAlgebra.html#TutorialLinAlgSolutionExists',1,'']]],
  ['matrix_20manipulation_30',['Basic matrix manipulation',['../group__QuickRefPage.html#QuickRef_Basics',1,'']]],
  ['matrix_20manipulation_20via_20nullary_20expressions_31',['Matrix manipulation via nullary-expressions',['../TopicCustomizing_NullaryExpr.html',1,'UserManual_CustomizingEigen']]],
  ['matrix_20matrix_20and_20matrix_20vector_20multiplication_32',['Matrix-matrix and matrix-vector multiplication',['../group__TutorialMatrixArithmetic.html#TutorialArithmeticMatrixMul',1,'']]],
  ['matrix_20matrix_20product_20gemm_33',['General Matrix-Matrix product (GEMM)',['../TopicWritingEfficientProductExpression.html#GEMM',1,'']]],
  ['matrix_20multiplication_34',['Aliasing and matrix multiplication',['../group__TopicAliasing.html#TopicAliasingMatrixMult',1,'']]],
  ['matrix_20or_20array_20argument_20fail_35',['In which cases do functions taking a plain Matrix or Array argument fail?',['../TopicFunctionTakingEigenTypes.html#TopicPlainFunctionsFailing',1,'']]],
  ['matrix_20or_20array_20arguments_20work_36',['In which cases do functions taking plain Matrix or Array arguments work?',['../TopicFunctionTakingEigenTypes.html#TopicPlainFunctionsWorking',1,'']]],
  ['matrix_20product_20expressions_37',['Writing efficient matrix product expressions',['../TopicWritingEfficientProductExpression.html',1,'UnclassifiedPages']]],
  ['matrix_20product_20gemm_38',['General Matrix-Matrix product (GEMM)',['../TopicWritingEfficientProductExpression.html#GEMM',1,'']]],
  ['matrix_20products_39',['Matrix products',['../group__TutorialSparse.html#TutorialSparse_Products',1,'']]],
  ['matrix_20properties_40',['Matrix properties',['../group__SparseQuickRefPage.html#SparseBasicInfos',1,'']]],
  ['matrix_20vector_20multiplication_41',['Matrix-matrix and matrix-vector multiplication',['../group__TutorialMatrixArithmetic.html#TutorialArithmeticMatrixMul',1,'']]],
  ['matrixbase_20and_20other_20classes_42',['Extending MatrixBase (and other classes)',['../TopicCustomizing_Plugins.html',1,'UserManual_CustomizingEigen']]],
  ['members_43',['Cause 1: Structures having Eigen objects as members',['../group__TopicUnalignedArrayAssert.html#c1',1,'']]],
  ['members_20of_20eigen_20types_20at_20the_20beginning_20of_20my_20class_44',['Should I then put all the members of Eigen types at the beginning of my class?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_movetotop',1,'']]],
  ['memory_20allocation_45',['Cause 2: STL Containers or manual memory allocation',['../group__TopicUnalignedArrayAssert.html#c2',1,'']]],
  ['methods_46',['Compilation error with template methods',['../TopicPitfalls.html#TopicPitfalls_template_keyword',1,'']]],
  ['miscellaneous_20operations_47',['Miscellaneous operations',['../group__QuickRefPage.html#QuickRef_Misc',1,'']]],
  ['mkl_20from_20eigen_48',['Using Intel® MKL from Eigen',['../TopicUsingIntelMKL.html',1,'UserManual_Generalities']]],
  ['modified_49',['How should such code be modified?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_how',1,'']]],
  ['module_50',['Experimental parts of the Core module',['../Experimental.html#Experimental_core',1,'']]],
  ['modules_51',['Experimental modules',['../Experimental.html#Experimental_modules',1,'']]],
  ['modules_20and_20header_20files_52',['Modules and Header files',['../group__QuickRefPage.html#QuickRef_Headers',1,'']]],
  ['multi_20threaded_20application_53',['Using Eigen in a multi-threaded application',['../TopicMultiThreading.html#TopicMultiThreading_UsingEigenWithMT',1,'']]],
  ['multi_20threading_54',['Eigen and multi-threading',['../TopicMultiThreading.html',1,'UserManual_Generalities']]],
  ['multiplication_55',['multiplication',['../group__TopicAliasing.html#TopicAliasingMatrixMult',1,'Aliasing and matrix multiplication'],['../group__TutorialArrayClass.html#TutorialArrayClassMult',1,'Array multiplication'],['../group__TutorialMatrixArithmetic.html#TutorialArithmeticMatrixMul',1,'Matrix-matrix and matrix-vector multiplication']]],
  ['multiplication_20and_20division_56',['Scalar multiplication and division',['../group__TutorialMatrixArithmetic.html#TutorialArithmeticScalarMulDiv',1,'']]],
  ['my_20class_57',['Should I then put all the members of Eigen types at the beginning of my class?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_movetotop',1,'']]],
  ['my_20code_20is_20safe_20regarding_20alignment_20issues_58',['How can I check my code is safe regarding alignment issues?',['../group__TopicUnalignedArrayAssert.html#checkmycode',1,'']]],
  ['my_20own_20code_20is_20the_20cause_20of_20the_20problem_59',['Where in my own code is the cause of the problem?',['../group__TopicUnalignedArrayAssert.html#where',1,'']]]
];
