var searchData=
[
  ['a_20bug_20in_20eigen_0',['So is this a bug in Eigen?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_bugineigen',1,'']]],
  ['a_20matrix_20is_20singular_1',['Checking if a matrix is singular',['../group__TutorialLinearAlgebra.html#TutorialLinAlgSolutionExists',1,'']]],
  ['a_20multi_20threaded_20application_2',['Using Eigen in a multi-threaded application',['../TopicMultiThreading.html#TopicMultiThreading_UsingEigenWithMT',1,'']]],
  ['a_20new_20expression_20type_3',['Adding a new expression type',['../TopicNewExpressionType.html',1,'UserManual_CustomizingEigen']]],
  ['a_20note_20about_20expression_20templates_4',['A note about expression templates',['../group__TutorialMatrixArithmetic.html#TutorialArithmeticMentionXprTemplates',1,'']]],
  ['a_20plain_20matrix_20or_20array_20argument_20fail_5',['In which cases do functions taking a plain Matrix or Array argument fail?',['../TopicFunctionTakingEigenTypes.html#TopicPlainFunctionsFailing',1,'']]],
  ['a_20simple_20example_6',['What happens inside Eigen, on a simple example',['../TopicInsideEigenExample.html',1,'UserManual_UnderstandingEigen']]],
  ['a_20simple_20first_20program_7',['A simple first program',['../GettingStarted.html#GettingStartedFirstProgram',1,'']]],
  ['a_20simple_20main_20function_20for_20testing_8',['A simple main function for testing',['../TopicNewExpressionType.html#TopicMain',1,'']]],
  ['a_20sparse_20matrix_9',['Filling a sparse matrix',['../group__TutorialSparse.html#TutorialSparseFilling',1,'']]],
  ['a_20wrong_20assumption_20on_20stack_20alignment_20for_20instance_20gcc_20on_20windows_10',['Cause 4: Compiler making a wrong assumption on stack alignment (for instance GCC on Windows)',['../group__TopicUnalignedArrayAssert.html#c4',1,'']]],
  ['about_20dynamic_20size_20matrices_20and_20vectors_11',['What about dynamic-size matrices and vectors?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_dynamicsize',1,'']]],
  ['about_20expression_20templates_12',['A note about expression templates',['../group__TutorialMatrixArithmetic.html#TutorialArithmeticMentionXprTemplates',1,'']]],
  ['about_20optimal_20vectorization_20how_20do_20i_20get_20rid_20of_20that_20stuff_13',['I don&apos;t care about optimal vectorization, how do I get rid of that stuff?',['../group__TopicUnalignedArrayAssert.html#getrid',1,'']]],
  ['accessing_20values_20inside_20an_20array_14',['Accessing values inside an Array',['../group__TutorialArrayClass.html#TutorialArrayClassAccess',1,'']]],
  ['accessors_15',['Coefficient accessors',['../group__TutorialMatrixClass.html#TutorialMatrixCoeffAccessors',1,'']]],
  ['across_20transformation_20types_16',['Common API across transformation types',['../group__TutorialGeometry.html#TutorialGeoCommontransformationAPI',1,'']]],
  ['adding_20a_20new_20expression_20type_17',['Adding a new expression type',['../TopicNewExpressionType.html',1,'UserManual_CustomizingEigen']]],
  ['addition_20and_20subtraction_18',['Addition and subtraction',['../group__TutorialArrayClass.html#TutorialArrayClassAddSub',1,'Addition and subtraction'],['../group__TutorialMatrixArithmetic.html#TutorialArithmeticAddSub',1,'Addition and subtraction']]],
  ['adjoint_20matrices_19',['Diagonal, Triangular, and Self-adjoint matrices',['../group__QuickRefPage.html#QuickRef_DiagTriSymm',1,'']]],
  ['affine_20transformations_20',['Affine transformations',['../group__TutorialGeometry.html#TutorialGeoTransform',1,'']]],
  ['aliasing_21',['Aliasing',['../TopicPitfalls.html#TopicPitfalls_aliasing',1,'Aliasing'],['../TopicLazyEvaluation.html',1,'Lazy Evaluation and Aliasing']]],
  ['aliasing_20and_20component_20wise_20operations_22',['Aliasing and component-wise operations',['../group__TopicAliasing.html#TopicAliasingCwise',1,'']]],
  ['aliasing_20and_20matrix_20multiplication_23',['Aliasing and matrix multiplication',['../group__TopicAliasing.html#TopicAliasingMatrixMult',1,'']]],
  ['aliasing_20issues_24',['Resolving aliasing issues',['../group__TopicAliasing.html#TopicAliasingSolution',1,'']]],
  ['aligned_20allocator_25',['Using an aligned allocator',['../group__TopicStlContainers.html#allocator',1,'']]],
  ['alignment_26',['Disabling alignment',['../group__TopicStructHavingEigenMembers.html#othersolutions1',1,'']]],
  ['alignment_20for_20instance_20gcc_20on_20windows_27',['Cause 4: Compiler making a wrong assumption on stack alignment (for instance GCC on Windows)',['../group__TopicUnalignedArrayAssert.html#c4',1,'']]],
  ['alignment_20issues_28',['How can I check my code is safe regarding alignment issues?',['../group__TopicUnalignedArrayAssert.html#checkmycode',1,'']]],
  ['alignment_20issues_20runtime_20assertion_29',['Alignment Issues (runtime assertion)',['../TopicPitfalls.html#TopicPitfalls_alignment_issue',1,'']]],
  ['alignment_20vectorization_20and_20performance_20tweaking_30',['Alignment, vectorization and performance tweaking',['../TopicPreprocessorDirectives.html#TopicPreprocessorDirectivesPerformance',1,'']]],
  ['all_20the_20members_20of_20eigen_20types_20at_20the_20beginning_20of_20my_20class_31',['Should I then put all the members of Eigen types at the beginning of my class?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_movetotop',1,'']]],
  ['allocation_32',['Cause 2: STL Containers or manual memory allocation',['../group__TopicUnalignedArrayAssert.html#c2',1,'']]],
  ['allocator_33',['Using an aligned allocator',['../group__TopicStlContainers.html#allocator',1,'']]],
  ['alternative_20specializing_20std_3a_3avector_20for_20eigen_20types_34',['An alternative - specializing std::vector for Eigen types',['../group__TopicStlContainers.html#vector_spec',1,'']]],
  ['an_20aligned_20allocator_35',['Using an aligned allocator',['../group__TopicStlContainers.html#allocator',1,'']]],
  ['an_20alternative_20specializing_20std_3a_3avector_20for_20eigen_20types_36',['An alternative - specializing std::vector for Eigen types',['../group__TopicStlContainers.html#vector_spec',1,'']]],
  ['an_20array_37',['Accessing values inside an Array',['../group__TutorialArrayClass.html#TutorialArrayClassAccess',1,'']]],
  ['an_20example_20showing_20the_20second_20use_20of_20the_20template_20keyword_38',['An example showing the second use of the template keyword',['../TopicTemplateKeyword.html#TopicTemplateKeywordExample',1,'']]],
  ['and_20aliasing_39',['Lazy Evaluation and Aliasing',['../TopicLazyEvaluation.html',1,'UserManual_UnderstandingEigen']]],
  ['and_20arrays_40',['Special matrices and arrays',['../group__TutorialAdvancedInitialization.html#TutorialAdvancedInitializationSpecialMatrices',1,'']]],
  ['and_20columns_41',['Example 2: indexing rows and columns',['../TopicCustomizing_NullaryExpr.html#NullaryExpr_Indexing',1,'']]],
  ['and_20component_20wise_20operations_42',['Aliasing and component-wise operations',['../group__TopicAliasing.html#TopicAliasingCwise',1,'']]],
  ['and_20conjugation_43',['Transposition and conjugation',['../group__TutorialMatrixArithmetic.html#TutorialArithmeticTranspose',1,'']]],
  ['and_20cross_20product_44',['Dot product and cross product',['../group__TutorialMatrixArithmetic.html#TutorialArithmeticDotAndCross',1,'']]],
  ['and_20declaring_20map_20variables_45',['Map types and declaring Map variables',['../group__TutorialMapClass.html#TutorialMapTypes',1,'']]],
  ['and_20determinant_46',['Computing inverse and determinant',['../group__TutorialLinearAlgebra.html#TutorialLinAlgInverse',1,'']]],
  ['and_20division_47',['Scalar multiplication and division',['../group__TutorialMatrixArithmetic.html#TutorialArithmeticScalarMulDiv',1,'']]],
  ['and_20eigenvectors_48',['Computing eigenvalues and eigenvectors',['../group__TutorialLinearAlgebra.html#TutorialLinAlgEigensolving',1,'']]],
  ['and_20functions_49',['Supported operators and functions',['../group__TutorialSparse.html#TutorialSparseFeatureSet',1,'']]],
  ['and_20header_20files_50',['Modules and Header files',['../group__QuickRefPage.html#QuickRef_Headers',1,'']]],
  ['and_20increment_51',['Compile time size and increment',['../group__TutorialSlicingIndexing.html#TutorialSlicingFixed',1,'']]],
  ['and_20matrices_52',['and matrices',['../group__TutorialSTL.html#TutorialSTLMatrices',1,'Iterating over coefficients of 2D arrays and matrices'],['../group__TutorialSTL.html#TutorialSTLRowsColumns',1,'Iterating over rows or columns of 2D arrays and matrices']]],
  ['and_20matrix_20expressions_53',['Converting between array and matrix expressions',['../group__TutorialArrayClass.html#TutorialArrayClassConvert',1,'']]],
  ['and_20matrix_20multiplication_54',['Aliasing and matrix multiplication',['../group__TopicAliasing.html#TopicAliasingMatrixMult',1,'']]],
  ['and_20matrix_20vector_20multiplication_55',['Matrix-matrix and matrix-vector multiplication',['../group__TutorialMatrixArithmetic.html#TutorialArithmeticMatrixMul',1,'']]],
  ['and_20multi_20threading_56',['Eigen and multi-threading',['../TopicMultiThreading.html',1,'UserManual_Generalities']]],
  ['and_20other_20classes_57',['Extending MatrixBase (and other classes)',['../TopicCustomizing_Plugins.html',1,'UserManual_CustomizingEigen']]],
  ['and_20performance_20tweaking_58',['Alignment, vectorization and performance tweaking',['../TopicPreprocessorDirectives.html#TopicPreprocessorDirectivesPerformance',1,'']]],
  ['and_20resizing_59',['Assignment and resizing',['../group__TutorialMatrixClass.html#TutorialMatrixAssignment',1,'']]],
  ['and_20row_20major_20storage_60',['Column-major and row-major storage',['../group__TopicStorageOrders.html#TopicStorageOrdersIntro',1,'']]],
  ['and_20rows_61',['Columns and rows',['../group__TutorialBlockOperations.html#TutorialBlockOperationsSyntaxColumnRows',1,'']]],
  ['and_20running_20your_20first_20program_62',['Compiling and running your first program',['../GettingStarted.html#GettingStartedCompiling',1,'']]],
  ['and_20self_20adjoint_20matrices_63',['Diagonal, Triangular, and Self-adjoint matrices',['../group__QuickRefPage.html#QuickRef_DiagTriSymm',1,'']]],
  ['and_20selfadjoint_20views_64',['Triangular and selfadjoint views',['../group__TutorialSparse.html#TutorialSparse_TriangularSelfadjoint',1,'']]],
  ['and_20subtraction_65',['and subtraction',['../group__TutorialArrayClass.html#TutorialArrayClassAddSub',1,'Addition and subtraction'],['../group__TutorialMatrixArithmetic.html#TutorialArithmeticAddSub',1,'Addition and subtraction']]],
  ['and_20the_20auto_20keyword_66',['C++11 and the auto keyword',['../TopicPitfalls.html#TopicPitfalls_auto_keyword',1,'']]],
  ['and_20typename_20keywords_20in_20c_67',['The template and typename keywords in C++',['../TopicTemplateKeyword.html',1,'UserManual_Generalities']]],
  ['and_20typename_20keywords_20to_20define_20templates_68',['Using the template and typename keywords to define templates',['../TopicTemplateKeyword.html#TopicTemplateKeywordToDefineTemplates',1,'']]],
  ['and_20vector_20types_69',['Array, matrix and vector types',['../group__QuickRefPage.html#QuickRef_Types',1,'']]],
  ['and_20vectors_70',['and vectors',['../GettingStarted.html#GettingStartedExample2',1,'Example 2: Matrices and vectors'],['../group__TutorialSTL.html#TutorialSTLVectors',1,'Iterating over 1D arrays and vectors'],['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_dynamicsize',1,'What about dynamic-size matrices and vectors?']]],
  ['angles_71',['Euler angles',['../group__TutorialGeometry.html#TutorialGeoEulerAngles',1,'']]],
  ['api_20across_20transformation_20types_72',['Common API across transformation types',['../group__TutorialGeometry.html#TutorialGeoCommontransformationAPI',1,'']]],
  ['application_73',['Using Eigen in a multi-threaded application',['../TopicMultiThreading.html#TopicMultiThreading_UsingEigenWithMT',1,'']]],
  ['are_20evaluated_20into_20temporaries_74',['Which sub-expressions are evaluated into temporaries?',['../TopicLazyEvaluation.html#TopicLazyEvaluationWhichExpr',1,'']]],
  ['argument_20fail_75',['In which cases do functions taking a plain Matrix or Array argument fail?',['../TopicFunctionTakingEigenTypes.html#TopicPlainFunctionsFailing',1,'']]],
  ['arguments_20work_76',['In which cases do functions taking plain Matrix or Array arguments work?',['../TopicFunctionTakingEigenTypes.html#TopicPlainFunctionsWorking',1,'']]],
  ['arithmetic_20operations_77',['Arithmetic operations',['../group__SparseQuickRefPage.html#SparseBasicOps',1,'']]],
  ['arithmetic_20operators_78',['Arithmetic Operators',['../group__QuickRefPage.html#QuickRef_ArithmeticOperators',1,'']]],
  ['arithmetic_20reduction_20operations_79',['Basic arithmetic reduction operations',['../group__TutorialMatrixArithmetic.html#TutorialArithmeticRedux',1,'']]],
  ['array_80',['Accessing values inside an Array',['../group__TutorialArrayClass.html#TutorialArrayClassAccess',1,'']]],
  ['array_81',['Changing the mapped array',['../group__TutorialMapClass.html#TutorialMapPlacementNew',1,'']]],
  ['array_20and_20matrix_20expressions_82',['Converting between array and matrix expressions',['../group__TutorialArrayClass.html#TutorialArrayClassConvert',1,'']]],
  ['array_20argument_20fail_83',['In which cases do functions taking a plain Matrix or Array argument fail?',['../TopicFunctionTakingEigenTypes.html#TopicPlainFunctionsFailing',1,'']]],
  ['array_20arguments_20work_84',['In which cases do functions taking plain Matrix or Array arguments work?',['../TopicFunctionTakingEigenTypes.html#TopicPlainFunctionsWorking',1,'']]],
  ['array_20class_85',['What is the Array class?',['../group__TutorialArrayClass.html#TutorialArrayClassIntro',1,'']]],
  ['array_20matrix_20and_20vector_20types_86',['Array, matrix and vector types',['../group__QuickRefPage.html#QuickRef_Types',1,'']]],
  ['array_20multiplication_87',['Array multiplication',['../group__TutorialArrayClass.html#TutorialArrayClassMult',1,'']]],
  ['array_20of_20indices_88',['Array of indices',['../group__TutorialSlicingIndexing.html#TutorialSlicingArray',1,'']]],
  ['array_20operators_89',['Coefficient-wise &amp;amp; Array operators',['../group__QuickRefPage.html#QuickRef_Coeffwise',1,'']]],
  ['array_20types_90',['Array types',['../group__TutorialArrayClass.html#TutorialArrayClassTypes',1,'']]],
  ['arrays_91',['arrays',['../group__QuickRefPage.html#QuickRef_Map',1,'Mapping external arrays'],['../group__TutorialAdvancedInitialization.html#TutorialAdvancedInitializationSpecialMatrices',1,'Special matrices and arrays']]],
  ['arrays_20and_20matrices_92',['arrays and matrices',['../group__TutorialSTL.html#TutorialSTLMatrices',1,'Iterating over coefficients of 2D arrays and matrices'],['../group__TutorialSTL.html#TutorialSTLRowsColumns',1,'Iterating over rows or columns of 2D arrays and matrices']]],
  ['arrays_20and_20vectors_93',['Iterating over 1D arrays and vectors',['../group__TutorialSTL.html#TutorialSTLVectors',1,'']]],
  ['as_20members_94',['Cause 1: Structures having Eigen objects as members',['../group__TopicUnalignedArrayAssert.html#c1',1,'']]],
  ['as_20parameters_95',['Writing Functions Taking Eigen Types as Parameters',['../TopicFunctionTakingEigenTypes.html',1,'UserManual_Generalities']]],
  ['as_20temporary_20objects_96',['Usage as temporary objects',['../group__TutorialAdvancedInitialization.html#TutorialAdvancedInitializationTemporaryObjects',1,'']]],
  ['assertion_97',['assertion',['../TopicPitfalls.html#TopicPitfalls_alignment_issue',1,'Alignment Issues (runtime assertion)'],['../group__TopicUnalignedArrayAssert.html#explanation',1,'General explanation of this assertion']]],
  ['assertions_98',['Assertions',['../TopicAssertions.html',1,'Assertions'],['../TopicPreprocessorDirectives.html#TopicPreprocessorDirectivesAssertions',1,'Assertions'],['../TopicAssertions.html#PlainAssert',1,'Assertions']]],
  ['assertions_99',['assertions',['../TopicAssertions.html#DerivedStaticAssert',1,'Derived static assertions'],['../TopicAssertions.html#DisableAssert',1,'Disabling assertions'],['../TopicAssertions.html#DisableStaticAssert',1,'Disabling static assertions'],['../TopicAssertions.html#PermissiveAssertions',1,'Permissive assertions'],['../TopicAssertions.html#RedefineAssert',1,'Redefining assertions'],['../TopicAssertions.html#StaticAssert',1,'Static assertions'],['../TopicAssertions.html#StrictAssertions',1,'Strict assertions']]],
  ['assignment_100',['The assignment',['../TopicInsideEigenExample.html#Assignment',1,'']]],
  ['assignment_20and_20resizing_101',['Assignment and resizing',['../group__TutorialMatrixClass.html#TutorialMatrixAssignment',1,'']]],
  ['assumption_20on_20stack_20alignment_20for_20instance_20gcc_20on_20windows_102',['Cause 4: Compiler making a wrong assumption on stack alignment (for instance GCC on Windows)',['../group__TopicUnalignedArrayAssert.html#c4',1,'']]],
  ['at_20the_20beginning_20of_20my_20class_103',['Should I then put all the members of Eigen types at the beginning of my class?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_movetotop',1,'']]],
  ['auto_20keyword_104',['C++11 and the auto keyword',['../TopicPitfalls.html#TopicPitfalls_auto_keyword',1,'']]]
];
