var searchData=
[
  ['i_20check_20my_20code_20is_20safe_20regarding_20alignment_20issues_0',['How can I check my code is safe regarding alignment issues?',['../group__TopicUnalignedArrayAssert.html#checkmycode',1,'']]],
  ['i_20don_20t_20care_20about_20optimal_20vectorization_20how_20do_20i_20get_20rid_20of_20that_20stuff_1',['I don&apos;t care about optimal vectorization, how do I get rid of that stuff?',['../group__TopicUnalignedArrayAssert.html#getrid',1,'']]],
  ['i_20get_20rid_20of_20that_20stuff_2',['I don&apos;t care about optimal vectorization, how do I get rid of that stuff?',['../group__TopicUnalignedArrayAssert.html#getrid',1,'']]],
  ['i_20then_20put_20all_20the_20members_20of_20eigen_20types_20at_20the_20beginning_20of_20my_20class_3',['Should I then put all the members of Eigen types at the beginning of my class?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_movetotop',1,'']]],
  ['i_20want_20to_20do_20this_20conditionally_20depending_20on_20template_20parameters_4',['What if I want to do this conditionally (depending on template parameters) ?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_conditional',1,'']]],
  ['if_20a_20matrix_20is_20singular_5',['Checking if a matrix is singular',['../group__TutorialLinearAlgebra.html#TutorialLinAlgSolutionExists',1,'']]],
  ['if_20i_20want_20to_20do_20this_20conditionally_20depending_20on_20template_20parameters_6',['What if I want to do this conditionally (depending on template parameters) ?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_conditional',1,'']]],
  ['implementations_7',['How to resize matrices in generic implementations?',['../TopicFunctionTakingEigenTypes.html#TopicResizingInGenericImplementations',1,'']]],
  ['in_20a_20multi_20threaded_20application_8',['Using Eigen in a multi-threaded application',['../TopicMultiThreading.html#TopicMultiThreading_UsingEigenWithMT',1,'']]],
  ['in_20c_9',['The template and typename keywords in C++',['../TopicTemplateKeyword.html',1,'UserManual_Generalities']]],
  ['in_20cmake_20projects_10',['Using Eigen in CMake Projects',['../TopicCMakeGuide.html',1,'UserManual_Generalities']]],
  ['in_20cuda_20kernels_11',['Using Eigen in CUDA kernels',['../TopicCUDA.html',1,'UserManual_Generalities']]],
  ['in_20direct_20solvers_12',['Built-in direct solvers',['../group__TopicSparseSystems.html#TutorialSparseSolverList_Direct',1,'']]],
  ['in_20eigen_13',['in Eigen',['../TopicEigenExpressionTemplates.html',1,'Expression templates in Eigen'],['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_bugineigen',1,'So is this a bug in Eigen?'],['../group__TopicStorageOrders.html#TopicStorageOrdersInEigen',1,'Storage orders in Eigen']]],
  ['in_20generic_20implementations_14',['How to resize matrices in generic implementations?',['../TopicFunctionTakingEigenTypes.html#TopicResizingInGenericImplementations',1,'']]],
  ['in_20iterative_20solvers_15',['Built-in iterative solvers',['../group__TopicSparseSystems.html#TutorialSparseSolverList_Iterative',1,'']]],
  ['in_20my_20own_20code_20is_20the_20cause_20of_20the_20problem_16',['Where in my own code is the cause of the problem?',['../group__TopicUnalignedArrayAssert.html#where',1,'']]],
  ['in_20parallel_17',['Make Eigen run in parallel',['../TopicMultiThreading.html#TopicMultiThreading_MakingEigenMT',1,'']]],
  ['in_20which_20cases_20do_20functions_20taking_20a_20plain_20matrix_20or_20array_20argument_20fail_18',['In which cases do functions taking a plain Matrix or Array argument fail?',['../TopicFunctionTakingEigenTypes.html#TopicPlainFunctionsFailing',1,'']]],
  ['in_20which_20cases_20do_20functions_20taking_20plain_20matrix_20or_20array_20arguments_20work_19',['In which cases do functions taking plain Matrix or Array arguments work?',['../TopicFunctionTakingEigenTypes.html#TopicPlainFunctionsWorking',1,'']]],
  ['increment_20',['Compile time size and increment',['../group__TutorialSlicingIndexing.html#TutorialSlicingFixed',1,'']]],
  ['index_20list_21',['Custom index list',['../group__TutorialSlicingIndexing.html#TutorialSlicingCustomArray',1,'']]],
  ['indexing_20rows_20and_20columns_22',['Example 2: indexing rows and columns',['../TopicCustomizing_NullaryExpr.html#NullaryExpr_Indexing',1,'']]],
  ['indices_23',['Array of indices',['../group__TutorialSlicingIndexing.html#TutorialSlicingArray',1,'']]],
  ['inheritance_20diagrams_24',['Inheritance diagrams',['../TopicClassHierarchy.html#TopicClassHierarchyInheritanceDiagrams',1,'']]],
  ['inheriting_20from_20matrix_25',['Inheriting from Matrix',['../TopicCustomizing_InheritingMatrix.html',1,'UserManual_CustomizingEigen']]],
  ['initialization_26',['Sparse Matrix Initialization',['../group__SparseQuickRefPage.html#SparseMatrixInit',1,'']]],
  ['initialization_27',['Comma-initialization',['../group__TutorialMatrixClass.html#TutorialMatrixCommaInitializer',1,'']]],
  ['initializer_28',['The comma initializer',['../group__TutorialAdvancedInitialization.html#TutorialAdvancedInitializationCommaInitializer',1,'']]],
  ['inside_20an_20array_29',['Accessing values inside an Array',['../group__TutorialArrayClass.html#TutorialArrayClassAccess',1,'']]],
  ['inside_20eigen_20on_20a_20simple_20example_30',['What happens inside Eigen, on a simple example',['../TopicInsideEigenExample.html',1,'UserManual_UnderstandingEigen']]],
  ['install_20eigen_31',['How to &quot;install&quot; Eigen?',['../GettingStarted.html#GettingStartedInstallation',1,'']]],
  ['instance_20gcc_20on_20windows_32',['Cause 4: Compiler making a wrong assumption on stack alignment (for instance GCC on Windows)',['../group__TopicUnalignedArrayAssert.html#c4',1,'']]],
  ['intel®_20mkl_20from_20eigen_33',['Using Intel® MKL from Eigen',['../TopicUsingIntelMKL.html',1,'UserManual_Generalities']]],
  ['interesting_34',['Why it&apos;s interesting',['../TopicInsideEigenExample.html#WhyInteresting',1,'']]],
  ['into_20temporaries_35',['Which sub-expressions are evaluated into temporaries?',['../TopicLazyEvaluation.html#TopicLazyEvaluationWhichExpr',1,'']]],
  ['introduction_36',['Introduction',['../group__TutorialMapClass.html#TutorialMapIntroduction',1,'Introduction'],['../group__TutorialMatrixArithmetic.html#TutorialArithmeticIntroduction',1,'Introduction']]],
  ['inverse_20and_20determinant_37',['Computing inverse and determinant',['../group__TutorialLinearAlgebra.html#TutorialLinAlgInverse',1,'']]],
  ['is_20safe_20regarding_20alignment_20issues_38',['How can I check my code is safe regarding alignment issues?',['../group__TopicUnalignedArrayAssert.html#checkmycode',1,'']]],
  ['is_20singular_39',['Checking if a matrix is singular',['../group__TutorialLinearAlgebra.html#TutorialLinAlgSolutionExists',1,'']]],
  ['is_20the_20array_20class_40',['What is the Array class?',['../group__TutorialArrayClass.html#TutorialArrayClassIntro',1,'']]],
  ['is_20the_20cause_20of_20the_20problem_41',['Where in my own code is the cause of the problem?',['../group__TopicUnalignedArrayAssert.html#where',1,'']]],
  ['is_20this_20a_20bug_20in_20eigen_42',['So is this a bug in Eigen?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_bugineigen',1,'']]],
  ['is_20this_20needed_43',['Why is this needed?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_why',1,'']]],
  ['issues_44',['issues',['../group__TopicUnalignedArrayAssert.html#checkmycode',1,'How can I check my code is safe regarding alignment issues?'],['../group__TopicAliasing.html#TopicAliasingSolution',1,'Resolving aliasing issues']]],
  ['issues_20failure_20to_20compile_45',['Header Issues (failure to compile)',['../TopicPitfalls.html#TopicPitfalls_header_issues',1,'']]],
  ['issues_20runtime_20assertion_46',['Alignment Issues (runtime assertion)',['../TopicPitfalls.html#TopicPitfalls_alignment_issue',1,'']]],
  ['it_20s_20interesting_47',['Why it&apos;s interesting',['../TopicInsideEigenExample.html#WhyInteresting',1,'']]],
  ['iterating_20over_201d_20arrays_20and_20vectors_48',['Iterating over 1D arrays and vectors',['../group__TutorialSTL.html#TutorialSTLVectors',1,'']]],
  ['iterating_20over_20coefficients_20of_202d_20arrays_20and_20matrices_49',['Iterating over coefficients of 2D arrays and matrices',['../group__TutorialSTL.html#TutorialSTLMatrices',1,'']]],
  ['iterating_20over_20rows_20or_20columns_20of_202d_20arrays_20and_20matrices_50',['Iterating over rows or columns of 2D arrays and matrices',['../group__TutorialSTL.html#TutorialSTLRowsColumns',1,'']]],
  ['iterative_20solvers_51',['Built-in iterative solvers',['../group__TopicSparseSystems.html#TutorialSparseSolverList_Iterative',1,'']]]
];
